ChartDirector Ver 5.0 (PHP Edition)

BarLayer.setBarShape2

Usage

setBarShape2(shape [, dataGroup [, dataItem ]])

Description

Sets the shape of the bar(s) to a custom shape defined using an array of (x, y) coordinates.

Arguments

Argument | Default | Description
--- | --- | ---
shape | (Mandatory) | The bar shape to use. Please refer to Shape Specification on how shapes are specified.
dataGroup | -1 | The index of the data group that the shape applies to. In a multi-stacked bar, the data sets that are stacked up into a single bar forms a data group. In a multi-bar chart, each data set is a data group by itself. -1 means the shape applies to all data groups.
dataItem | -1 | The index of the data points that the shape applies to. For example, if set to 3, the shape will only apply to the 4th bar (index starts from 0) in each data series. -1 means the shape applies to all data points.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.